<?
define('PROTECTOR', 1);

$head = 'pers';//фикс. места

$textl='Поддержка';
@include('files/path.php');
@include($path.'files/db.php');
@include($path.'files/auth.php');
@include($path.'files/func.php');
@include($path.'files/core.php');
@include($path.'files/head.php');
@include($path.'files/zag.php');

switch($_GET[mod]){

default:

echo"Служба поддержки $div";
echo"Вы можете задать интересующий вас вопрос в службу поддержки.
Многие вопросы можно решить задав их игрокам в чате/форуме или найти ответ в разделе помощь.<br>";
echo'<form action="tiket.php?mod=create" method="post"><br />Тема:<br />
	<select size="1" name="tema"><option value="1">Выберите направление вопроса</option>
<option value="2">Предложения</option>
<option value="3">Ошибки, баги</option>
<option value="4">Ошибки оплаты</option>
<option value="5">Нарушители, мошенничество</option>
<option value="6">Другое</option></select><br />
Отдел:</br>
<select size="1" name="admin"><option value="1">Выберите технический отдел</option>
<option value="2">Главный администратор игры</option>
<option value="3">Игровой администратор</option></select><br/>
Сообщение:<br /><textarea name="text" rows=7 cols=18 wrap="off"></textarea><br /><input type="submit" value="Задать вопрос" /></form>';


break; 


case 'create':
if(empty($_POST[text])){echo"<img src='pic/no.png'></img>Введите текст сообщения! </br><a href=\"tiket.php?\">Назад</a>";break;}
if($_POST[tema]==1){echo"<img src='pic/no.png'></img>Не выбрана тема! </br><a href=\"tiket.php?\">Назад</a>";break;}
if($_POST[admin]==1){echo"<img src='pic/no.png'></img>Не выбран отдел! </br><a href=\"tiket.php?\">Назад</a>";break;}
if($_POST[admin]==2){$admin="Admin";}
if($_POST[admin]==3){$admin="Likon";}
if($_POST[tema]==2){$tema="Предложения";}
if($_POST[tema]==3){$tema="Ошибки, баги";}
if($_POST[tema]==4){$tema="Ошибки оплаты";}
if($_POST[tema]==5){$tema="Нарушители, мошенничество";}
if($_POST[tema]==6){$tema="Другое";}
$texts = htmlspecialchars(stripslashes(addslashes($_POST['text'])));
$time = date("H:i d.m.y");
$text = "<br>*Тикет*<br>Тема: *$tema*<br>Сообщение: $texts";
 mysql_query("INSERT INTO `msg_r` SET `user_from` = '$log', `user_to` = '$admin', `time` = '$time', `read` = 1, `mail_msg` = '$text'");
echo"<img src='pic/yes.png'></img> Тикет успешно отправлен, он будет рассмотрен в течение 5 часов! </br><a href=\"index.php?\">На главную</a>";

break;


break;
}
@include($path.'files/down.php');
?>